Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Netscape Portable Runtime.
Name:		nspr
Version:	4.8.7
Release:	1
License:	MPL/GPL/LGPL
Group:		System/Libraries
URL:		http://www.mozilla.org/projects/nspr/
Source0:	%{name}-%{version}.tar.gz
Source200:	nspr.pc.in
Source201:	nspr-config-vars.in
Patch0:		nspr-config-pc.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
NSPR provides platform independence for non-GUI operating system 
facilities. These facilities include threads, thread synchronization, 
normal file and network I/O, interval timing and calendar time, basic 
memory management (malloc and free) and shared library linking.

%package	devel
Summary:	Development libraries for the Netscape Portable Runtime.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for doing development with the Netscape Portable Runtime.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep

%setup -q

# Original nspr-config is not suitable for our distribution,
# because on different platforms it contains different dynamic content.
# Therefore we produce an adjusted copy of nspr-config that will be 
# identical on all platforms.
# However, we need to use original nspr-config to produce some variables
# that go into nspr.pc for pkg-config.

cp ./mozilla/nsprpub/config/nspr-config.in ./mozilla/nsprpub/config/nspr-config-pc.in
%patch0 -p0

cp %{SOURCE201} ./mozilla/nsprpub/config/

%build

./mozilla/nsprpub/configure \
                 --prefix=%{_prefix} \
                 --libdir=%{_libdir} \
                 --includedir=%{_includedir}/nspr4 \
                 --enable-optimize="$RPM_OPT_FLAGS" \
                 --disable-debug

make

%install

%{__rm} -Rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT \
  make install

NSPR_LIBS=`./config/nspr-config --libs`
NSPR_CFLAGS=`./config/nspr-config --cflags`
NSPR_VERSION=`./config/nspr-config --version`
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

cat ./config/nspr-config-vars > \
                     $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc

cat %{SOURCE200} | sed -e "s,%%libdir%%,%{_libdir},g" \
                     -e "s,%%prefix%%,%{_prefix},g" \
                     -e "s,%%exec_prefix%%,%{_prefix},g" \
                     -e "s,%%includedir%%,%{_includedir}/nspr4,g" \
                     -e "s,%%NSPR_VERSION%%,$NSPR_VERSION,g" \
                     -e "s,%%FULL_NSPR_LIBS%%,$NSPR_LIBS,g" \
                     -e "s,%%FULL_NSPR_CFLAGS%%,$NSPR_CFLAGS,g" >> \
                     $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nspr.pc

%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_lib}
%{__cp} ./config/nspr-config-pc $RPM_BUILD_ROOT/%{_bindir}/nspr-config

# Get rid of the things we don't want installed (per upstream)
%{__rm} -rf \
   $RPM_BUILD_ROOT/%{_bindir}/compile-et.pl \
   $RPM_BUILD_ROOT/%{_bindir}/prerr.properties \
   $RPM_BUILD_ROOT/%{_libdir}/libnspr4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplc4.a \
   $RPM_BUILD_ROOT/%{_libdir}/libplds4.a \
   $RPM_BUILD_ROOT/%{_datadir}/aclocal/nspr.m4 \
   $RPM_BUILD_ROOT/%{_includedir}/nspr4/md

for file in libnspr4.so libplc4.so libplds4.so
do
  mv -f $RPM_BUILD_ROOT/%{_libdir}/$file $RPM_BUILD_ROOT/%{_lib}/$file
  ln -sf ../../%{_lib}/$file $RPM_BUILD_ROOT/%{_libdir}/$file
done

%files
%defattr(-,root,root)
/%{_lib}/libnspr4.so
/%{_lib}/libplc4.so
/%{_lib}/libplds4.so

%files devel
%defattr(-, root, root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so
%{_includedir}/nspr4
%{_libdir}/pkgconfig/nspr.pc
%{_bindir}/nspr-config

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 27 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.8.7-1
- version update
* Fri Dec 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.8.6-2
- rebuilt against nss 3.12.8
* Sun Aug 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.8.6-1
- version update
* Thu May 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.8.4-1
- version update
* Wed Jan 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.8.2-1
- version update
* Sat Jun 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.8-1
- version update
* Sat Dec 19 2008 Christian Wasem <wasem@ccux-linux.de> 4.7.3-1
- version update
* Sat May 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.7.1-1
- version update
* Fri Mar 28 2008 Christian Wasem <wasem@ccux-linux.de> 4.7.0.99.2-1
- Version update
* Fri Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 4.6.7-1
- Version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.6.5-1
- version update
* Fri Jul 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- version update
* Thu Mar 16 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-2
- added aclocal patch
* Tue Mar 09 2005 Christian Wasem <wasem@ccux-linux.de> 4.6.1-1
- Initial Release
